## dose2 1.4.2

=== conduit/Makefile ===
NAME   = conduit
SOURCES= conduit.ml
MLIS   = conduit.mli

include ../Makefile.config
include .depend

=== dosebase/Makefile ===
NAME   = dosebase
SOURCES= dosebase.ml
MLIS   = dosebase.mli
PACKAGES= dbm,pcre
REQUIRES= lifetime napkin io util

include ../Makefile.config
include .depend

=== lifetime/Makefile ===
NAME=    lifetime
SOURCES= lifetime.ml
MLIS=    lifetime.mli
REQUIRES= io
PACKAGES=	calendar

include ../Makefile.config
include .depend

=== mmap/Makefile ===
# Makefile

SOURCES  = mmap.mli mmap.ml map.c
NAME     = mmap
REQUIRES = unix threads
OCAML_INCLUDE 	:=	$(shell ocamlc -where)
CFLAGS  += -I$(OCAML_INCLUDE) -fPIC
extra2	 = dllmmap.so

include Makefile.library

=== napkin/Makefile ===
NAME     = napkin
SOURCES  = napkin.ml
MLIS  = napkin.mli
REQUIRES = io

include ../Makefile.config
include .depend

=== ocamlpkgsrc/Makefile ===
# Makefile

NAME=				   ocamlpkgsrc
SOURCES=		   ocamlpkgsrc.ml
MLIS=				   ocamlpkgsrc.mli
C_SOURCES=	   ocamlpkgsrc_stubs.c
STUB_INSTALL=  dllocamlpkgsrc.so
EXTRA_INSTALL= libocamlpkgsrc.a
REQUIRES=		   util napkin
PACKAGES=		   pcre

include ../Makefile.config
include .depend

CFLAGS+=   -I.. -fPIC

=== ocamlrpm/Makefile ===
# Makefile

NAME=          ocamlrpm
SOURCES=       ocamlrpm.ml
MLIS=          ocamlrpm.mli
C_SOURCES=     ocamlrpm_stubs.c
STUB_INSTALL=  dllocamlrpm.so
EXTRA_INSTALL= libocamlrpm.a
REQUIRES=	     napkin progress
PACKAGES=	     pcre

include ../Makefile.config
include .depend

CFLAGS+=	-I.. -fPIC

=== packetology/Makefile ===
# Makefile

NAME     = packetology
SOURCES  = factorize.ml diagnosis.ml installability.ml
MLIS=      diagnosis.mli installability.mli
REQUIRES=  util napkin rapids io progress satsolver
EXTRA_CLEAN=	factorize.cmi

include ../Makefile.config
include .depend

=== progress/Makefile ===
# Makefile

NAME     = progress
SOURCES  = progress.ml
MLIS  = progress.mli
REQUIRES= util

include ../Makefile.config
include .depend

=== rapids/Makefile ===
NAME     = rapids
SOURCES  = rapids.ml waterway.ml
MLIS     = rapids.mli waterway.mli
REQUIRES= lifetime napkin conduit io dosebase util progress ocamldeb ocamlrpm \
          ocamlpkgsrc

OCAML_CFLAGS+=	-I +ocamlbuild

include ../Makefile.config
include .depend

=== satsolver/Makefile ===
# Makefile

NAME=    satsolver
SOURCES= solver.ml
MLIS=    solver.mli

include ../Makefile.config
include .depend

=== util/Makefile ===
# Makefile

NAME=     util
SOURCES=  util.ml
MLIS=     util.mli
PACKAGES= unix

include ../Makefile.config
include .depend

=== debian/changelog ===
dose2 (1.4.2-6build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:01 +0000

dose2 (1.4.2-6) unstable; urgency=low

  * build-depend on libdbm-ocaml-dev or ocaml<<4.0 since libdbm was factored
    out of the ocaml distribution starting from version 4.0 on.
  * Standards-version 3.9.5 (no change).

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 Dec 2013 21:03:37 +0100

dose2 (1.4.2-5) unstable; urgency=low

  * debian/control: remove some redundant entries in the depencies of
    libdose2-ocaml-dev that are aleady filled in via ${ocaml:Depends}
  * Bump standards-version to 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Feb 2012 13:32:14 +0100

dose2 (1.4.2-4) unstable; urgency=low

  * Team upload.
  * Fix build failure when building with rpm 4.9 (Closes: #627433).
    - Add patch 0001-RPM-4.9.0.patch, by Colin Watson (Thanks for the patch).
  * Put changes made in 1.4.2-3 to source in debian/patches/0002-Ralf.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 22 May 2011 12:09:33 +0200

dose2 (1.4.2-3) unstable; urgency=low

  * Install *.cmxa files only on native architectures (closes: #612749). 
  * Change priority to "extra" since we depend on librpm-dev, which is
    of priority extra (closes: #612751).
  * Bump version in build-dependency on debhelper to (>= 7.0.50~), in 
    order to have dh overrides.
  * Generate API doc with ocamldoc, install with doc-base.
  * Fix spelling of Jérôme Vouillon in debian/copyright.
  
 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Feb 2011 21:04:29 +0100

dose2 (1.4.2-2) unstable; urgency=low

  * Make short descriptions of  libdose2-ocaml and  libdose2-ocaml-dev
    different.
  * Standards-version 3.9.1 (no change).
  * debian/rules: switch from cdbs to debhelper > 7, dh.
  * Use dh_ocaml (>= 0.9.0) to calculate depencies and provides
    (closes: #599300)
  * Dependency on ocaml-findlib: downgrade to Suggests in -dev package,
    remove completely in library package.
  * source format 3.0 (quilt)

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Feb 2011 08:26:13 +0100

dose2 (1.4.2-1) unstable; urgency=low

  * New upstream release, which resolves the issue with
    ocamlrpm/ocamlrpm_stubs.c observed in 1.4.1-3.
  * Standards-Version 3.8.2 (no change).

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jul 2009 19:41:55 +0200

dose2 (1.4.1-3) unstable; urgency=low

  * Merge in latest ocamlrpm/ocamlrpm_stubs.c from upstream svn to solve
    an issue with fdOpen and fdClose calls

 -- Ralf Treinen <treinen@debian.org>  Tue, 16 Jun 2009 20:34:25 +0200

dose2 (1.4.1-2) unstable; urgency=low

  * Remove reference to the lead datastructure from rpm 4.4 (closes: #533165).

 -- Ralf Treinen <treinen@debian.org>  Mon, 15 Jun 2009 22:00:54 +0200

dose2 (1.4.1-1) unstable; urgency=low

  * New upstream version

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 May 2009 20:27:40 +0200

dose2 (1.4-2) unstable; urgency=low

  * Added missing dependencies on libbz2-ocaml(-dev).

 -- Ralf Treinen <treinen@debian.org>  Wed, 25 Mar 2009 22:39:48 +0100

dose2 (1.4-1) unstable; urgency=low

  * New Upstream Version
  * Fixed FTBFS due to wrong order of ocamlfind options. Thanks to
    Samuel Thibault for the patch! (Closes: #493866)
  * Section: ocaml
  * Standards-Version 3.8.1 (no change)
  * Some improvements on long package dscriptions
  * CDBS includes in debian/rules: class/ocaml.mk -> rules/ocaml.mk
  * Add build-dependencies on dh-ocaml and libbz2-ocaml-dev
  * Use debian/libdose2-ocaml.install file to install stublibs

 -- Ralf Treinen <treinen@debian.org>  Tue, 24 Mar 2009 22:07:37 +0100

dose2 (1.3.2-1) experimental; urgency=low

  * Initial release (Closes: #476465)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 17 Jul 2008 16:18:16 +0200

=== debian/control ===
Source: dose2
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9.0),
 ocaml-nox (>=3.11.1-3~), camlp4, ocaml-findlib, menhir,
 librpm-dev, libpcre-ocaml-dev, libcalendar-ocaml-dev,
 libzip-ocaml-dev, libbz2-ocaml-dev,
 libdbm-ocaml-dev | ocaml-nox (<< 4.0)
Standards-Version: 3.9.5
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/dose2.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/dose2.git

Package: libdose2-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, librpm-dev, libgdbm-dev,  ${misc:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml libraries for package dependencies (development files)
 Dose2 is a framework made of several OCaml libraries for managing
 distribution packages and their dependencies.
 .
 Though not tied to any particular distribution, Dose 2 constitutes a
 pool of libraries which enable injecting packages coming from various
 distribution. Companion libraries (e.g. ceve) and tools (e.g.
 pkglab) rely on dose2 to manage packages coming from various
 distributions, e.g. Debian and Red Hat.
 .
 Besides basic functionalities for querying and setting package
 properties, dose also implements algorithms for solving more complex
 problems (monitoring package evolutions, correct and complete
 dependency resolution, repository-wide uninstallability checks).
 .
 This package contains the development stuff you need to use dose2 in
 the development of your programs.

Package: libdose2-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml libraries for managing packages and their dependencies
 Dose2 is a framework made of several OCaml libraries for managing
 distribution packages and their dependencies.
 .
 Though not tied to any particular distribution, dose2 constitutes a
 pool of libraries which enable injecting packages coming from various
 distribution. Companion libraries (e.g. ceve) and tools (e.g.
 pkglab) rely on dose2 to manage packages coming from various
 distributions, e.g. Debian and Red Hat.
 .
 Besides basic functionalities for querying and setting package
 properties, dose2 also implements algorithms for solving more complex
 problems (monitoring package evolutions, correct and complete
 dependency resolution, repository-wide uninstallability checks).
 .
 This package contains the runtime stuff you need to run programs using
 dose2.

=== debian/rules ===
#!/usr/bin/make -f

# do we have compilation of ocaml to native code?
OPT = $(shell test -x /usr/bin/ocamlopt && echo true)

%:
	dh $@ --with ocaml

override_dh_install:
	dh_install
ifeq ($(OPT),true)
	dh_install */*.cmxa /usr/lib/ocaml/dose2
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/html
	-ocamldoc -html -d debian/html */*.mli

override_dh_auto_clean:
	dh_auto_clean
	-rm -r debian/html

=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=929 .*/dose2-(.*)\.tar\.gz
